Bug 740914 - qemu-kvm is not able to emulate SMP (2 cores) for fedora-16
qemu-kvm is not able to emulate SMP (2 cores) for fedora-16
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
14
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-23 14:38 EDT by Sergei LITVINENKO
Modified: 2013-01-09 19:23 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 07:37:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fedora-16 guest log (-smp 2,maxcpus=2,cores=2,threads=1,sockets=1) (56.99 KB, application/x-bzip2)
2011-09-23 14:38 EDT, Sergei LITVINENKO
no flags Details

  None (edit)
Description Sergei LITVINENKO 2011-09-23 14:38:15 EDT
Created attachment 524673 [details]
fedora-16 guest log (-smp 2,maxcpus=2,cores=2,threads=1,sockets=1)

Description of problem:

qemu-kvm is not able to emulate SMP for fedora-16a

Version-Release number of selected component (if applicable):

qemu-system-x86-0.13.0-1.fc14.i686
kernel-PAE-2.6.35.14-96.fc14.i686

How reproducible:

100%

Steps to Reproduce:

1. install fedora-16 (alpha) on virtual machine.
2. run it as:
 qemu-kvm -localtime -m 2000 -name Fedora-16a -vga vmware \
     -smp 2,maxcpus=2,cores=2,threads=1,sockets=1           \
     -drive file=fedora16-hd0.img,if=virtio,boot=on         \
     -drive file=fedora16-hd1.img,if=virtio,boot=off        \
     -net nic,macaddr=52:54:00:12:34:16,model=virtio -net tap


Actual results:

guest is unstable, a lot of timeouts and error messages to console...

Expected results:

guest run as in single CPU mode.

Additional info:
See guest log (from boot and till shutdown)
Comment 1 Cole Robinson 2012-05-21 07:37:43 EDT
F14 is no longer supported. If anyone is still affected by this bug with newer
qemu versions (fedora 16 or 17), please reopen this report.

Note You need to log in before you can comment on or make changes to this bug.